Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.ulc.util
Class AnythingWriter2

    java.lang.Object
      |
      +--com.ibm.ulc.util.AnythingWriter2

public class AnythingWriter2
extends java.lang.Object
implements IAnythingWriter

Writes an Anything in a compact and easy to parse format. The format is still "mostly" ASCII but it is not as readable as the format produced by AnythingWriter.

The (unverified) format is:

###

###

###

###

     format:=           <version> <anything> <end_marker>
     end_marker:=       'E'
     version:=          'V' <number>
     anything:=         <null> | <long> | double | <boolean> | <string> | <bytes> | <serializable> | <vector>
     null:=             '*'
     long:=             'l' <number>
     double:=           'd' <double_as_string>
     double_as_string:= <buffer>
     boolean:=          't' | 'f'
     string:=           's' <buffer>
     length:=           <number>
     buffer:=           <length> { <any_char> }
     bytes:=            'b' <buffer>
     serializable:=		'o' lt;serializedJavaObject>
     vector:=           'a' <length> { [ ' ' | <key> ] <anything> }
     key:=              '/' <buffer>
     number:=           [ '+' | '-' ] <digits> { <digit> } '-'
     digit:=            '0' | '1' | '2' | '3' | '4' | '5' | '6' | '7' | '8' | '9'

    Constructor Summary

    AnythingWriter2()

    Method Summary

     IAnythingReader
    createReader()

              Creates the corresponding reader for this format

     void
    print(java.io.OutputStream os,
          Anything a)

              Prints an Anything in the compact format.

     void
    printEx(java.io.OutputStream os,
            Anything a)

              Prints an Anything in the compact format.

    Methods inherited from class java.lang.Object

    clone,
    equals,
    finalize,
    getClass,
    hashCode,
    notify,
    notifyAll,
    toString,
    wait,
    wait,
    wait

    Constructor Detail

    AnythingWriter2

    public AnythingWriter2()

    Method Detail

    createReader

    public IAnythingReader createReader()

    Creates the corresponding reader for this format
    Specified by: createReader in interface IAnythingWriter

    print

    public void print(java.io.OutputStream os,
                      Anything a)

    Prints an Anything in the compact format.
    Specified by: print in interface IAnythingWriter

    printEx

    public void printEx(java.io.OutputStream os,
                        Anything a)
                 throws java.io.InterruptedIOException,
                        java.io.IOException

    Prints an Anything in the compact format.
    Specified by: printEx in interface IAnythingWriter

          Overview
          Package
        Class
          Tree
          Deprecated
          Index
          Help

     PREV CLASS
     NEXT CLASS

      FRAMES
     NO FRAMES

      SUMMARY:  INNER | FIELD | CONSTR | METHOD

    DETAIL:  FIELD | CONSTR | METHOD